Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.owscommon_1_1_0
Class OWSCommonCapabilitiesDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.owscommon_1_1_0.CommonsDocument
              org.deegree.owscommon_1_1_0.OWSCommonCapabilitiesDocument

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  WCTSCapabilitiesDocument

    public abstract class OWSCommonCapabilitiesDocument

extends CommonsDocument

`OWSCapabilitesDocument` parses the ows_1_1_0 Capabilities profile.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.owscommon_1_1_0.CommonsDocument
`PRE_OWS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`OWSCommonCapabilitiesDocument()`

Method Summary
`OperationsMetadata` | `parseOperationsMetadata()`
`ServiceIdentification` | `parseServiceIdentification()`
`ServiceProvider` | `parseServiceProvider()`

Methods inherited from class org.deegree.owscommon_1_1_0.CommonsDocument
`parseBasicIdentificationType, parseContactInfo, parseDomainMetadataType, parseDomainMetadataTypes, parseDomainType, parseHTTPChild, parseIdentifier, parseKeywords, parseMetadata, parseMetadatas, parseOperations, parseServiceContact`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OWSCommonCapabilitiesDocument

    public OWSCommonCapabilitiesDocument()

Method Detail

### parseServiceIdentification

    public ServiceIdentification parseServiceIdentification()
                                                     throws XMLParsingException

  Returns:
    the ServiceIdentification bean or `null` if ServiceIdentification element is `null`;
  Throws:
    `XMLParsingException` - if something could not be parsed.

### parseServiceProvider

    public ServiceProvider parseServiceProvider()
                                         throws XMLParsingException

  Returns:
    the ServiceProvider bean or `null` if the ServiceProvider element is `null`;
  Throws:
    `XMLParsingException`

### parseOperationsMetadata

    public OperationsMetadata parseOperationsMetadata()
                                               throws XMLParsingException

  Returns:
    the OperationsMetadata bean or `null` if the OperationsMetadata element is `null`;
  Throws:
    `XMLParsingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org